<?php

/*
  
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Dpd
 * @copyright  Copyright (c) 2016 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

/**
 * <p>Source model of all possible DPD Packing slip label positions</p>
 *
 * @author Matis
 */
class Eabi_DpdEE_Model_Source_Label_Position {
    
    /**
     * <p>Returns possible DPD packing slip layout positions in following format:</p>
     * <pre>
            array(
                'label' =&gt; HTML select label,
                'value' =&gt; HTML select option value,
            );
     * </pre>
     * @return array
     */
    public function toOptionArray() {
        $options = array();


        $positions = array(
            '1234',
            '4123',
            '3412',
            '3421',
        );
        foreach ($positions as $position) {
            $options[] = array(
                'label' => $this->_getDpdHelper()->__('Position: %s', $position),
                'value' => $position,
            );
        }


        return $options;
    }

    /**
     * 
     * @return Eabi_DpdEE_Helper_Data
     */
    protected function _getDpdHelper() {
        return Mage::helper('eabi_dpdee');
    }
}

