<?php
/*
  
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Dpd
 * @copyright  Copyright (c) 2016 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

$installer = $this;

$installer->startSetup();


/*
 * Set default CASH on delivery fee to following countries:
 *  EE
 *  LV
 *  LT
 * 
 * Set this fee to all defined config scopes
 */
$configPaths = array(
    'carriers/eabidpdee/handling_fee_country',
    'carriers/eabidpdeeflat/handling_fee_country',
);
$countriesToApply = array(
    'EE', 'LV', 'LT',
);

//echo '<pre>'.(print_r(get_class_methods(Mage::getModel('core/config_data')), true)).'</pre>';

$configDatas = Mage::getModel('core/config_data')->getCollection()->addFieldToFilter('path', array('in' => $configPaths));

foreach ($configDatas as $configData) {
    $oldShippingPriceSet = @unserialize($configData->getValue());
    //update value
    if (is_array($oldShippingPriceSet)) {
        foreach ($oldShippingPriceSet as $randomKey => $countryPrices) {
            if (in_array($countryPrices['country_id'], $countriesToApply)) {
                if (!isset($countryPrices['cod_fee']) || !$countryPrices['cod_fee']) {
                    $oldShippingPriceSet[$randomKey]['cod_fee'] = '2.50';
                }
            }
        }
        //update done -re-serialize and save
        $configData->setValue(serialize($oldShippingPriceSet));
        $configData->save();

    }
    
}

$installer->run("
    

");


//end install
$installer->endSetup();
