<?php
/*
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Livehandler
 * @copyright  Copyright (c) 2018 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 
 
 */

/**
 * <p>Renders yes/no select box with licensing information</p>
 *
 * @author Matis
 */
class Eabi_Livehandler_Block_Adminhtml_Config_Form_Field_Licence extends Mage_Adminhtml_Block_System_Config_Form_Field {

    protected function _getElementHtml(Varien_Data_Form_Element_Abstract $element) {
        $path = $this->_getEabi()->getResolverHelper()
                ->getPathFromElement($element);
        
        $storeCode = Mage::app()->getRequest()->getParam('store', 0);
        
        
        $supportedSectionAttribute = 'eabi_supported_sections';
        $block = $this->_getEabi()
                ->getEabiLicenceBlock();
        /* @var $block Eabi_Livehandler_Block_Licence */
        if (!$storeCode && $this->_isAllowedToChange()) {
            $block->setElement($element);
        }
        $block->setValue($element->getEscapedValue());
        $block->setFormFieldId($element->getHtmlId());
        $block->setMethod($path['section'] . '/' . $path['model']);
        if ($additionalSupportedMethods = $this->_getAttribute($element->getOriginalData(), $supportedSectionAttribute)) {
            $additionalMethodCodes = $this->_getEabi()->csvToArray($additionalSupportedMethods);
            $resultingAdditionalMethodCodes = array();
            foreach ($additionalMethodCodes as $additionalMethodCode) {
                $resultingAdditionalMethodCodes[] = $additionalMethodCode . '/' . $path['model'];
            }
            $block->setMethods($resultingAdditionalMethodCodes);
        }
        
        
        
        //create licence block with your data and forward it to the block and on block call-tohtml
//        $html = '';
        return $block->toHtml();
    }
    
    
    protected function _getAttribute($input, $property) {
        if (isset($input[$property])) {
            return $input[$property];
        }
        return null;
    }
    
    
    /**
     * 
     * @return Eabi_Livehandler_Helper_Keypair
     */
    protected function _getKeypairHelper() {
        return Mage::helper('eabi/keypair');
    }
    
    
    /**
     * 
     * @return Eabi_Livehandler_Helper_Data
     */
    protected function _getEabi() {
        return Mage::helper('eabi');
    }
    
    protected function _isAllowedToChange()  {
        $key = 'eabi_livehandler/eabi_livehandler_licence/request';
        return $this->_getEabi()->getAdminSessionSingleton()
        ->isAllowed($key);
    }
    
    

}

