<?php

/*
   *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Livehandler
 * @copyright  Copyright (c) 2018 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

/**
 * Description of Email
 *
 * @author Matis
 */
class Eabi_Livehandler_Block_Email extends Mage_Core_Block_Template {
    protected $_addressEncoded;
    protected $_key;
    
    public function _construct() {
        $this->setTemplate('eabi_livehandler/email.phtml');
        parent::_construct();
    }
    
    /**
     * 
     * @return Eabi_Livehandler_Helper_Data
     */
    protected function _getEabi() {
        return Mage::helper('eabi');
    }
    
    public function getHtmlId() {
        $id = $this->getData('html_id');
        if (!$id) {
            $id = uniqid();
            $this->setData('html_id', $id);
        }
        return $id;
        
    }
    
    protected function _encodeAddress() {
        $encoding = 'UTF-8';
        $address = $this->getAddress();
        $addressAssocArray = array();
        for ($i = 0; $i < mb_strlen($address, $encoding); $i++) {
            $addressAssocArray[(string)$i] = mb_substr($address, $i, 1, $encoding);
        }
        $this->_arrayShuffleAssoc($addressAssocArray);
        $addressArray = array();
        foreach ($addressAssocArray as $letter) {
            $addressArray[] = $letter;
        }
        $this->_addressEncoded = $addressArray;
        $this->_key = array_keys($addressAssocArray);
        return $addressArray;
        
    }
    
    public function getAddressEncoded() {
        if (!$this->_addressEncoded) {
            $this->_encodeAddress();
        }
        return $this->_addressEncoded;
    }

    public function getAddressKey() {
        if (!$this->_addressEncoded) {
            $this->_encodeAddress();
        }
        return $this->_key;
    }

    
    public function directToJson($value) {
        return json_encode($value);
    }
    
    protected function _arrayShuffleAssoc(&$array) {
        $keys = array_keys($array);

        shuffle($keys);

        foreach($keys as $key) {
            $new[$key] = $array[$key];
        }

        $array = $new;

        return true;
    }    
    
    
}
