<?php

/*
 * Käesoleva loomingu autoriõigused kuuluvad Matis Halmannile ja Aktsiamaailm OU-le
 * Litsentsitingimused on saadaval http://www.e-abi.ee/litsents
 */

/**
 * Description of Resolver
 *
 * @author matishalmann
 */
class Eabi_Livehandler_Helper_Resolver extends Mage_Core_Helper_Abstract {
    protected $_allowedAttributeSetIds;
    
    
    public function getPathFromElement(Varien_Data_Form_Element_Abstract $element) {
        $formPathElements = explode('][', str_replace(array('groups[', '[fields]', '][value]'), '', $element->getName()));
        $idPath = $element->getId();
        foreach ($formPathElements as $pathElement) {
            $idPath = str_replace($pathElement, '', $idPath);
        }
        $idPath = trim($idPath, '_');
        $originalData = $element->getOriginalData();

        $sectionAttribute = 'eabi_section';
        $sectionAttributeValue = isset($originalData[$sectionAttribute]) && $this->_isAllowedSectionAttribute($originalData[$sectionAttribute])?$originalData[$sectionAttribute]:null;
        
        if ($sectionAttributeValue) {
            $idPath = $sectionAttributeValue;
        }
        
        
        return array(
            'section' => $idPath,
            'model' => $formPathElements[0],
            'config' => $formPathElements[1],
        );
    }
    
    
    protected function _isAllowedSectionAttribute($value) {
        if (is_string($value)) {
        return true;
        } 
        return false;
    }
    
    public function openPath($path) {
        $paths = explode('/', $path);
        return array(
            'section' => $paths[0],
            'model' => $paths[1],
            'config' => $paths[2],
        );
    }
    
    /**
     *
     * @param Varien_Data_Form_Element_Abstract $element
     * @return boolean|\Eabi_Synchronizer_Model_Importer_Abstract 
     */
    public function getModelFromElement(Varien_Data_Form_Element_Abstract $element) {
        
        $path = $this->getPathFromElement($element);
        return false;
    }
    
    public function getByClassCode($classCode) {
        return false;
    }
    
    /**
     *
     * @param string $path
     * @return boolean|\Eabi_Synchronizer_Model_Importer_Abstract 
     */
    public function getModelFromPath($path) {
        $openPath = $this->openPath($path);
        return false;
    }
    
    public function getActiveModels() {
    }
    
    
    /**
     * 
     * @return Eabi_Livehandler_Helper_Data
     */
    protected function _getEabiHelper() {
        return Mage::helper('eabi');
    }



}


