<?php

/*
 *    *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Livehandler
 * @copyright  Copyright (c) 2018 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

/**
 *
 * @author Matis
 */
class Eabi_Livehandler_Model_Impl_Licenceable implements Eabi_Livehandler_Model_Licenceable {
    protected $supportedCountries = array();
    protected $code;
    protected $title;
    protected $configPrefix;
    
    
    public function getSupportedCountries() {
        return $this->supportedCountries;
    }

    public function getCode() {
        return $this->code;
    }

    public function getTitle() {
        return $this->title;
    }

    public function setSupportedCountries($supportedCountries) {
        $this->supportedCountries = $supportedCountries;
        return $this;
    }

    public function setCode($code) {
        $this->code = $code;
        return $this;
    }

    public function setTitle($title) {
        $this->title = $title;
        return $this;
    }

    public function getConfigPrefix() {
        return $this->configPrefix;
    }

    public function setConfigPrefix($configPrefix) {
        $this->configPrefix = $configPrefix;
        return $this;
    }
    
    public function getConfigData($path) {
        return Mage::getStoreConfig($this->configPrefix . $path, Mage_Core_Model_App::ADMIN_STORE_ID);
    }


    
}
