<?php

/*
   *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Livehandler
 * @copyright  Copyright (c) 2018 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

/**
 * Description of Method
 *
 * @author Matis
 * @method string getType()
 * @method Eabi_Livehandler_Model_Licenceable_Method setType(string $type)
 * @method string getCode()
 * @method Eabi_Livehandler_Model_Licenceable_Method setStoreId(string $storeId)
 * @method string getStoreId()
 * @method Eabi_Livehandler_Model_Licenceable_Method setCode(string $code)
 * 
 */
abstract class Eabi_Livehandler_Model_Licenceable_Method extends Varien_Object {
    protected $_isSupported = false;
    
    /**
     * Internal constructor not depended on params. Can be used for object initialization
     */
    protected function _construct() {
    }
    
    
    abstract public function getMethodInstance();
    abstract public function getRawLicence();
    abstract public function setRawLicence($rawLicence);
    
    
    
    public function isSupported() {
        return $this->_isSupported;
    }
    
    /**
     * 
     * @return Eabi_Livehandler_Helper_Data
     */
    protected function _getEabi() {
        return Mage::helper('eabi');
    }
    
    
    
}
