<?php
/*
 *  *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Livehandler
 * @copyright  Copyright (c) 2018 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

/**
 * <p>Source model for representing all possible logging level values.</p>
 * <p>Possible values originate from <code>Zend_Log</code> class</p>
 *
 * @author matishalmann
 */
class Eabi_Livehandler_Model_Source_Log {
    
    public function toOptionArray() {

        $options = array();

        $options[] = array(
            'label' => 'DEBUG',
            'value' => Zend_Log::DEBUG,
        );
        $options[] = array(
            'label' => 'INFO',
            'value' => Zend_Log::INFO,
        );
        $options[] = array(
            'label' => 'NOTICE',
            'value' => Zend_Log::NOTICE,
        );
        $options[] = array(
            'label' => 'WARN',
            'value' => Zend_Log::WARN,
        );
        $options[] = array(
            'label' => 'ERR',
            'value' => Zend_Log::ERR,
        );
        $options[] = array(
            'label' => 'CRIT',
            'value' => Zend_Log::CRIT,
        );
        $options[] = array(
            'label' => 'ALERT',
            'value' => Zend_Log::ALERT,
        );
        $options[] = array(
            'label' => 'EMERG',
            'value' => Zend_Log::EMERG,
        );
        
        
        
        return $options;
    }

}


