<?php

/*
  
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Dpd
 * @copyright  Copyright (c) 2016 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

/**
 * Description of Method
 *
 * @author Matis
 */
class Eabi_Postoffice_Model_Licenceable_Method extends Eabi_Livehandler_Model_Licenceable_Method {
    protected $_instance = null;
    
    protected function _construct() {
        parent::_construct();
    }
    
    
    public function getMethodInstance() {
        if (!$this->_instance) {
            $type = $this->getType();
            $code = $this->getCode();
            
            $shippingMethodModel = $this->_getCarrierByCode($code, $this->getStoreId());
            if ($shippingMethodModel && $shippingMethodModel instanceof Eabi_Livehandler_Model_Licenceable) {
                $this->_instance = $shippingMethodModel;
                $this->_isSupported = true;
            } else {
                //what to do?
                Mage::throwException($this->_getOfficeHelper()->__('Shipping method with code %s not found', $code));
            }
            
            
            
        }
        return $this->_instance;
        
    }
    
    protected function _getCarrierByCode($carrierCode, $storeId = null)  {
        $className = Mage::getStoreConfig('carriers/'.$carrierCode.'/model', $storeId);
        if (!$className) {
            return false;
            #Mage::throwException('Invalid carrier: '.$carrierCode);
        }
        $obj = Mage::getModel($className);
        if ($storeId) {
            $obj->setStore($storeId);
        }
        return $obj;
    }
    
    protected function _getPaymentMethodByCode($paymentCode, $storeId = null)  {
        $className = Mage::getStoreConfig('payment/'.$paymentCode.'/model', $storeId);
        if (!$className) {
            return false;
            #Mage::throwException('Invalid carrier: '.$carrierCode);
        }
        $obj = Mage::getModel($className);
        if ($storeId) {
            $obj->setStore($storeId);
        }
        return $obj;
    }
    
    
    
    /**
     * 
     * @return Eabi_Postoffice_Helper_Data
     */
    protected function _getOfficeHelper() {
        return Mage::helper('eabi_postoffice');
    }

    public function getRawLicence() {
        return Mage::getStoreConfig('carriers/' . $this->getCode() . '/licence', Mage_Core_Model_App::ADMIN_STORE_ID);
    }
    public function setRawLicence($rawLicence) {
        return $this->_getEabi()->setConfigData('carriers/' . $this->getCode() . '/licence', $rawLicence, 'default', 0, false);
    }
    

}
