<?php

/*
  
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * or OpenGPL v3 license (GNU Public License V3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * or
 * http://www.gnu.org/licenses/gpl-3.0.txt
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@e-abi.ee so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade this module to newer
 * versions in the future.
 *
 * @category   Eabi
 * @package    Eabi_Dpd
 * @copyright  Copyright (c) 2016 Aktsiamaailm LLC (http://en.e-abi.ee/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 * @license    http://www.gnu.org/licenses/gpl-3.0.txt  GNU Public License V3.0
 * @author     Matis Halmann
 * 

 */

/**
 * Description of Method
 *
 * @author Matis
 */
class Eabi_Postoffice_Model_Licenceable_Shipping_Method extends Eabi_Postoffice_Model_Licenceable_Method {
    protected $_instance = null;
    
    protected function _construct() {
        parent::_construct();
        $this->setType('shipping');
    }
    
    
    public function getMethodInstance() {
        if (!$this->_instance) {
            $type = $this->getType();
            $code = $this->getCode();
            
            $shippingMethodModel = $this->_getCarrierByCode($code, $this->getStoreId());
            if ($shippingMethodModel && $shippingMethodModel instanceof Eabi_Livehandler_Model_Licenceable) {
                $this->_instance = $shippingMethodModel;
                $this->_isSupported = true;
            } else {
                //what to do?
                Mage::throwException($this->_getOfficeHelper()->__('Shipping method with code %s not found', $code));
            }
            
            
            
        }
        return $this->_instance;
        
    }
    
    
    
    

}
